Bug Hunting Session
Bug 106458 - Color widget should list an exact number of items
Summary: Color widget should list an exact number of items
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.4.0
Keywords: needsDevEval
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2017-03-09 14:01 UTC by Heiko Tietze
Modified: 2017-06-09 10:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-03-09 14:01:58 UTC
Opening the color picker on Windows Seven shows 9 rows, on LXQt with Breeze theme it's 8, and on Ubuntu/Ambience only 7. When we design a standard palette that fits into the widget without the need of a scrollbar the number of shown rows must be equal independently from the theme.
Comment 1 Heiko Tietze 2017-03-16 11:57:38 UTC
Please give an advice what there can be done
Comment 2 Yousuf Philips (jay) (retired) 2017-03-16 11:59:18 UTC
@Maxim: Any thoughts about this?
Comment 3 Maxim Monastirsky 2017-03-17 00:34:24 UTC
I'll try to fix it.
Comment 4 Heiko Tietze 2017-03-17 08:24:18 UTC
(In reply to Maxim Monastirsky from comment #3)
> I'll try to fix it.

Great! Our new standard palette will have 9 rows, so please use this number.
Comment 5 Commit Notification 2017-03-17 12:26:10 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d920613f6733fdc5931b972177788eb3fbaee6c9

tdf#106458 Color widget should have same number of rows

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Maxim Monastirsky 2017-03-17 12:33:24 UTC
Heiko: I used 8 rows for now, to make it easier to test the fix with the current palette (obviously I can't test all platforms/themes myself, so I would like to get feedback from people on this). Once the fix is confirmed to work well, we can change the number to 9 (it can be set in vcl/source/app/settings.cxx line 553).
Comment 7 Heiko Tietze 2017-03-18 11:11:35 UTC
(In reply to Maxim Monastirsky from comment #6)
> Heiko: I used 8 rows for now, to make it easier to test the fix with the
> current palette (obviously I can't test all platforms/themes myself, so I
> would like to get feedback from people on this). 

Confirming 8 rows for 

Version: 5.4.0.0.alpha0+
Build ID: f2efe33f71a8c092a19e3a27a85ac9057ebdca64
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-03-18_00:11:52
Locale: de-DE (de_DE); Calc: group
(running in virtual environment)

There is no nightly build for Linux from yesterday. Keeping the topic on my todo list.
Comment 8 Heiko Tietze 2017-03-20 10:40:36 UTC
(In reply to Maxim Monastirsky from comment #6)
> ....test all platforms/themes ...

Confirming 8 rows on LXDE/Adwaita in a VM

Version: 5.4.0.0.alpha0+
Build ID: 8e5437ea859e78f7de2730bfa60ab6d27534f286
CPU threads: 2; OS: Linux 4.9; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-03-20_05:23:49
Locale: en-US (C); Calc: group
Comment 9 Commit Notification 2017-03-26 15:05:42 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3bae306bcf23c4baae65b2b8a3617f0b697dfc6a

tdf#106458 Color widget should list an exact number of items

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-03-31 07:53:53 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2039e2f25933bb93803c741ea79094227d40dc25

tdf#106458 Color widget should list an exact number of items

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2017-06-09 10:01:51 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?